#include "CivHydrTest.h"
#include "CivHydrFuncInter.h"
#include <iostream>


// ˮ
void CivConHydrTest::test(char* uri)
{
    int succ = hdyrSimulation(uri);
    std::cout << "Խ" << succ << std::endl;
}


// ˮʲ
void CivConQuaTest::test(char* uri)
{
    int succ = qualitySimulation(uri);
    std::cout << "Խ" << succ << std::endl;
}

// ׷ٷ
void CivConTrackTest::test(char* uri)
{
    char result[1024 * 32];

    char sn[32];
    strcpy_s(sn, "JD00000016");

    int succ = trackingSimulation(uri, sn, 12, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << succ << std::endl;
}

void CivUpstreamTrackingTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[32];
    strcpy(sn, "JD00000016");

    char result[1024 * 32];

    bool isSucc = upstreamTracking(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}


/**
   ׷
*/
void CivDownStreamTrackingTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[32];
    strcpy(sn, "JD00000016");

    char result[1024 * 128];

    bool isSucc = downstreamTracking(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}


/**
   ˮԴˮΧ
*/
void CivWaterSupplyScopeTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[32];
    strcpy(sn, "JD00000016");

    char result[1024 * 32];

    bool isSucc = waterSupplyScopeAnalysis(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}
